﻿using System.Windows.Media;

namespace Scheduler.GoogleCalendarSyncer
{
    /// <summary>
    /// This class represents Google calendar color.
    /// </summary>
    public class GoogleCalendarColor
    {
        /// <summary>
        /// Color id supported by google calendar.
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// Name of the color.
        /// </summary>
        public string ColorName { get; set; }
        /// <summary>
        /// Color hexadecimal code.
        /// </summary>
        public string HexColorCode { get; set; }
        /// <summary>
        /// System.Windows.Media.Color representation of google calendar color.
        /// </summary>
        public Color Color
        {
            get
            {
                var color = string.IsNullOrEmpty(HexColorCode) ? System.Drawing.ColorTranslator.FromHtml("#039be5") : System.Drawing.ColorTranslator.FromHtml(HexColorCode);
                return Color.FromArgb(color.A, color.R, color.G, color.B);
            }
        }
    }
}
