﻿using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Timers;
using System.Windows;
using System.Windows.Controls;

namespace SchedulerWithGoogleCalendar
{
    /// <summary>
    /// Interaction logic for LoadingScreen.xaml
    /// </summary>
    public partial class LoadingScreen : UserControl
    {
        public LoadingScreen()
        {
            InitializeComponent();
        }

        Timer timer;

        public void Show(bool showTimer, int? seconds = null)
        {
            if(showTimer && seconds.HasValue)
            {
                tbTime.Visibility = Visibility.Visible;
                tbSeconds.Text = seconds.ToString();
                timer = new Timer(1000);
                timer.Elapsed += (s, e) =>
                {
                    Application.Current.Dispatcher.BeginInvoke(new Action(() => {
                        if (seconds > 0)
                        {
                            seconds = seconds - 1;
                            tbSeconds.Text = seconds.ToString();
                        }
                        else
                        {
                            timer.Stop();
                        }
                    }));
                };
                timer.Start();
            }

            Visibility = Visibility.Visible;
        }

        public void Hide()
        {
            Visibility = Visibility.Collapsed;
            tbTime.Visibility = Visibility.Collapsed;
            timer.Close();
        }
    }
}
